/*----------------------------------------------------------------------------
 * Name:    Blinky.c
 * Purpose: LED Flasher for LPC4330-Xplorer
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2014 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include <stdio.h>
#include "LPC43xx.h"                    /* LPC43xx Definitions                */
#include "Board_LED.h"

/* Import external variables from IRQ.c file                                  */
extern volatile unsigned char clock_1s;

/*----------------------------------------------------------------------------
  Main function
 *----------------------------------------------------------------------------*/
int main (void) {

  LED_Initialize();                     /* LED Initialization                 */

  SystemCoreClockUpdate();
  SysTick_Config(SystemCoreClock/100);  /* Generate interrupt each 10 ms      */

  while (1) {                           /* Loop forever                       */    
    
    /* Print 'hello world' message every second                               */
    if (clock_1s) {
      clock_1s = 0;

      printf("Hello World\r\n");
    }
  }
}
