/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::Network
 * Copyright (c) 2004-2014 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    SNMP_Agent.c
 * Purpose: SNMP Agent example
 *----------------------------------------------------------------------------*/

#include <stdio.h>
#include "cmsis_os.h"                   /* CMSIS RTOS definitions            */
#include "rl_net.h"                     /* Network definitions               */

#include "SCU_LPC43xx.h"                // Keil::Device:SCU
#include "GPIO_LPC43xx.h"               // Keil::Device:GPIO

#include "Board_LED.h"
#include "Board_Buttons.h"

/// Read digital inputs
uint8_t get_button (void) {
  return (Buttons_GetState ());
}

/// IP address change notification
void dhcp_client_notify (uint32_t if_num,
                         dhcpClientOption opt, const uint8_t *val, uint32_t len) {
  if (opt == dhcpClientIPaddress) {
    // IP address has changed
  }
}

/*----------------------------------------------------------------------------
  Main Thread 'main': Run Network
 *---------------------------------------------------------------------------*/
int main (void) {

  /* LAN8720 on LPC430-Xplorer uses a GPIO for nRST */
  GPIO_PortClock (1);
  GPIO_SetDir   (0, 4, GPIO_DIR_OUTPUT);
  GPIO_PinWrite (0, 4, 1);
  SCU_PinConfigure (1, 0, SCU_CFG_MODE_FUNC0);

  LED_Initialize     ();
  Buttons_Initialize ();
  net_initialize     ();

  while (1) {
    net_main ();
    osThreadYield ();
  }
}
